itpp::Front_Drop_Queue Class Reference

ADD DOCUMENTATION HERE. More...

`#include <itpp/protocol/front_drop_queue.h>`

Inheritance diagram for itpp::Front_Drop_Queue:

## Public Member Functions

| Front_Drop_Queue (const int max_bytes=DEFAULT_MAX_BYTES_IN_QUEUE)
| ADD DOCUMENTATION HERE.
void | set_debug (const bool enable_debug=true)
| ADD DOCUMENTATION HERE.
void | push (Packet *packet)
| ADD DOCUMENTATION HERE.
void | pop ()
| ADD DOCUMENTATION HERE.
void | set_max_byte_size (int max_bytes)
| ADD DOCUMENTATION HERE.
int | max_byte_size ()
| ADD DOCUMENTATION HERE.
int | byte_size ()
| ADD DOCUMENTATION HERE.

## Public Attributes

T | elements
| STL member.

## Detailed Description

ADD DOCUMENTATION HERE.

Definition at line 56 of file front_drop_queue.h.

## Constructor & Destructor Documentation

## Front_Drop_Queue()

itpp::Front_Drop_Queue::Front_Drop_Queue | ( | const int | max_bytes = DEFAULT_MAX_BYTES_IN_QUEUE | ) |

inline

ADD DOCUMENTATION HERE.

Definition at line 60 of file front_drop_queue.h.

References DEFAULT_MAX_BYTES_IN_QUEUE.

## Member Function Documentation

## set_debug()

void itpp::Front_Drop_Queue::set_debug | ( | const bool | enable_debug = true | ) |

inline

ADD DOCUMENTATION HERE.

Definition at line 70 of file front_drop_queue.h.

## push()

void itpp::Front_Drop_Queue::push | ( | Packet * | packet | ) |

ADD DOCUMENTATION HERE.

Definition at line 35 of file front_drop_queue.cpp.

References itpp::Packet::bit_size(), itpp::Event_Queue::now(), and pop().

## pop()

void itpp::Front_Drop_Queue::pop | ( |  | ) |

ADD DOCUMENTATION HERE.

Definition at line 66 of file front_drop_queue.cpp.

References itpp::Packet::bit_size(), and itpp::Event_Queue::now().

Referenced by push().

## set_max_byte_size()

void itpp::Front_Drop_Queue::set_max_byte_size | ( | int | max_bytes | ) |

inline

ADD DOCUMENTATION HERE.

Definition at line 80 of file front_drop_queue.h.

## max_byte_size()

int itpp::Front_Drop_Queue::max_byte_size | ( |  | ) |

inline

ADD DOCUMENTATION HERE.

Definition at line 82 of file front_drop_queue.h.

## byte_size()

int itpp::Front_Drop_Queue::byte_size | ( |  | ) |

inline

ADD DOCUMENTATION HERE.

Definition at line 84 of file front_drop_queue.h.

The documentation for this class was generated from the following files:

- itpp/protocol/front_drop_queue.h
- itpp/protocol/front_drop_queue.cpp

Generated on for IT++ by Doxygen 1.15.0